#= Makefile for dcpam/src/radiation
#
# Authors::   Yoshiyuki O. Takahashi, Yasuhiro MORIKAWA, Satoshi NODA
# Version::   $Id: Makefile,v 1.31 2015/01/31 06:16:55 yot Exp $
# Tag Name::  $Name:  $
# Copyright:: Copyright (C) GFD Dennou Club, 2008. All rights reserved.
# License::   See COPYRIGHT[link:../../COPYRIGHT]
#
######################################################################
#
#== Settings

DIRDEPTH=../..
INCLUDEFILE = $(DIRDEPTH)/Config.mk
include $(INCLUDEFILE)

OBJS = rad_utils.o rad_short_income.o rad_rte_nonscat.o rad_rte_two_stream_app.o \
	gauss_quad.o planck_func.o sort.o \
	rad_DennouAGCM.o \
	rad_Earth_V2.o rad_Earth_SW_V2_6.o rad_Earth_SW_V2_1.o rad_Earth_LW_V2_4.o \
	rad_CK1991.o rad_CL1996.o rad_C1998.o rad_C2001.o \
	set_solarconst.o set_gcmr.o set_o3.o \
	cloud_utils.o cloud_none.o cloud_simple.o cloud_mars_h2o.o \
	cloud_T1993base.o \
	rad_Mars_V1.o rad_Mars_15m.o rad_Mars_NIR.o ckd_module.o set_Mars_dust.o \
	rad_SL09.o \
	rad_simple.o rad_simple_LW.o rad_simple_SW_V2_0.o \
	rad_none.o \
	rad_15m_NLTE.o \
	rad_rrtmg_wrapper.o 

TESTS = 
CLEAN_TESTS = $(TESTS:%.sh=%.o) $(TESTS:%.sh=%)

TMPFILES =

RUBYLIB = $(RUBYF90LIB)
RB2F90 = 

# End Settings
######################################################################

######################################################################
#== Rules

all: $(LIBDIR)/$(DCPAMLIB)

include $(DIRDEPTH)/rules.make

clean.all: clean clean.lib

include depend

#=== rb2f90
